> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the report data as an Excel spreadsheet > Content of the report is translated to the specified language. See generic report definition from GET v{version}/GenericReports for required key(s) for the request parameters. ## OpenAPI ````json POST /v{version}/GenericReports/{id}/Download { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/GenericReports/{id}/Download": { "post": { "tags": [ "GenericReports" ], "summary": "Get the report data as an Excel spreadsheet", "description": "Content of the report is translated to the specified language.\r\nSee generic report definition from GET v{version}/GenericReports for required key(s) for the request parameters.", "operationId": "GenericReports_DownloadExcel", "parameters": [ { "name": "id", "in": "path", "description": "Unique ID of the report", "required": true, "schema": { "type": "string" } }, { "name": "language", "in": "query", "description": "Language of the returned reports (default: `en`)", "schema": { "type": "string" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Request parameters as key-value pairs", "content": { "application/json": { "schema": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "responses": { "200": { "description": "File download", "content": { "application/json": { "schema": { "type": "string", "format": "binary" } }, "application/octet-stream": { "schema": { "type": "string", "format": "binary" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } }, "application/octet-stream": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } }, "application/octet-stream": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } }, "application/octet-stream": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Report file not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } }, "application/octet-stream": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } }, "application/octet-stream": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````